package soa.atomicrmi.test.bank;

import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

import soa.atomicrmi.TransactionsLock;

public class Server {
	private static final int PORT = 1099;

	public static void main(String[] args) throws RemoteException {
		// Get a reference to RMI registry.
		Registry registry = LocateRegistry.createRegistry(PORT); //LocateRegistry.getRegistry(host, port);

		// Initialize bank accounts.
		Account a = new AccountImpl(1000);
		Account b = new AccountImpl(1000);

		// Bind addresses.
		registry.rebind("A", a);
		registry.rebind("B", b);

		// Initialize synchronization mechanisms for transactions.
		TransactionsLock.initialize(registry);
	}
}
